/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomMimeTypeArray_H__
#define __GdomMimeTypeArray_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomMimeTypeArray GdomMimeTypeArray;
typedef struct _GdomMimeTypeArrayClass GdomMimeTypeArrayClass;


#define GDOM_TYPE_MIME_TYPE_ARRAY            (gdom_mime_type_array_get_type())
#define GDOM_MIME_TYPE_ARRAY(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_MIME_TYPE_ARRAY, GdomMimeTypeArray))
#define GDOM_MIME_TYPE_ARRAY_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_MIME_TYPE_ARRAY, GdomMimeTypeArray)Class)
#define GDOM_IS_MIME_TYPE_ARRAY(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_MIME_TYPE_ARRAY))
#define GDOM_IS_MIME_TYPE_ARRAY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_MIME_TYPE_ARRAY))
#define GDOM_MIME_TYPE_ARRAY_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_MIME_TYPE_ARRAY, GdomMimeTypeArrayClass))

typedef struct _GdomMimeTypeArrayPrivate GdomMimeTypeArrayPrivate;

struct _GdomMimeTypeArray {
    GdomDOMObject parent_instance;
    GdomMimeTypeArrayPrivate *priv;
};

struct _GdomMimeTypeArrayClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_mime_type_array_get_type (void);

G_END_DECLS

#endif /* __GdomMimeTypeArray_H__ */
